MONGOC_CLIENT_SESSION_APPEND(3)

NAME
mongoc_client_session_append - mongoc_client_session_append()

SYNOPSIS

bool
mongoc_client_session_append (const mongoc_client_session_t *client_session,
                              bson_t *opts,
                              bson_error_t *error);

PARAMETERS

•   client_session: A pointer to a mongoc_client_session_t.

•   opts: A pointer to a bson_t.

•   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

This function appends a logical session id to command options. Use it to configure a session for any function that takes an options document, such as mongoc_client_write_command_with_opts.

It is an error to use a session for unacknowledged writes.

RETURNS

Returns true on success. If any arguments are invalid, returns false and fills out error.

EXAMPLE

See the example code for mongoc_client_session_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc